<picture>
  <source media="(prefers-color-scheme: dark)" srcset="https://placehold.co/1920x1080" />
  <source media="(prefers-color-scheme: light)" srcset="https://placehold.co/1920x1080" />
  <img alt="Cover Image" src="https://placehold.co/1920x1080" />
</picture>

<div align="center">
  <picture>
    <source media="(prefers-color-scheme: dark)"
            srcset="https://img.shields.io/badge/-English-4593F8?style=for-the-badge" />
    <source media="(prefers-color-scheme: light)"
            srcset="https://img.shields.io/badge/-English-0A69DA?style=for-the-badge" />
    <img src="https://img.shields.io/badge/-English-0A69DA?style=for-the-badge" alt="English">
  </picture>
  <a title="zh" href="README.zh.md">
    <img src="https://img.shields.io/badge/-%E7%AE%80%E4%BD%93%E4%B8%AD%E6%96%87-545759?style=for-the-badge" alt="简体中文">
  </a>
</div>

# Retypeset

Retypeset is a static blog theme based on the <a href="https://astro.build/">Astro</a> framework, inspired by <a href="https://astro-theme-typography.vercel.app/">Typography</a>. Retypeset establishes a new visual standard and reimagines the layout of all pages, offering a reading experience similar to paper books, reviving the beauty of typography. Details in every sight, elegance in every space.

- [Live Demo](https://retypeset.radishzz.cc/)
- [Mobile design](https://mastergo.com/file/151079538766773?fileOpenFrom=home&page_id=M&source=link_share&shareId=151079538766773)

## Features

- Built with Astro and UnoCSS
- Support for RSS, Sitemap, OpenGraph, MDX, and LaTeX
- i18n support
- Light/Dark mode
- Elegant view transitions
- Rich theme customization
- Optimized typography
- Responsive design
- Comment system

## Performance

<p align="center">
  <a href="https://pagespeed.web.dev/analysis?url=https%3A%2F%2Fretypeset.radishzz.cc%2F">
    <img width="710" alt="Retypeset Lighthouse Score" src="assets/retypeset-lighthouse-score.svg">
  <a>
</p>

## Deploy

1. Click [`Fork`](https://github.com/radishzzz/astro-theme-retypeset/fork) to clone this repository.

2. Click `Deploy to Netlify` or `Deploy to Vercel` below

&emsp;[![Deploy to Netlify](assets/deploy-netlify.svg)](https://app.netlify.com/start)
[![Deploy to Vercel](assets/deploy-vercel.svg)](https://vercel.com/new)

3. Select the repository and click `Deploy`.

For other platforms, please refer to the [Astro Deployment Guides](https://docs.astro.build/en/guides/deploy/).

## Updates

1. Follow the [GitHub Docs](https://docs.github.com/en/pull-requests/collaborating-with-pull-requests/working-with-forks/syncing-a-fork) to run `Sync fork`.

2. Do not click `Discard Changes`.

## Documentation

Work in progress...

- [Theme Configuration](https://github.com/radishzzz/astro-theme-retypeset/blob/master/src/config.ts)

## Credits

- [Typography](https://github.com/moeyua/astro-theme-typography)
- [Fuwriu](https://github.com/saicaca/fuwari)
- [Redefine](https://github.com/EvanNotFound/hexo-theme-redefine)
- [AstroPaper](https://github.com/satnaing/astro-paper)
- [heti](https://github.com/sivan/heti)
- [Early Summer Serif](https://github.com/GuiWonder/EarlySummerSerif)

## Star History

<p align="center">
<a href="https://star-history.com/#radishzzz/astro-theme-retypeset&Date">
  <picture>
    <source media="(prefers-color-scheme: dark)" srcset="https://api.star-history.com/svg?repos=radishzzz/astro-theme-retypeset&type=Date&theme=dark" />
    <source media="(prefers-color-scheme: light)" srcset="https://api.star-history.com/svg?repos=radishzzz/astro-theme-retypeset&type=Date" />
    <img alt="Star History Chart" src="https://api.star-history.com/svg?repos=radishzzz/astro-theme-retypeset&type=Date" />
  </picture>
</p>
